
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](LICENSE)
[![License](https://i.creativecommons.org/l/by/4.0/80x15.png)](LICENSE)

# Google Cloud AI Developer Relations

This repository contains content produced by *Google Cloud AI Developer Relations* for machine learning and artificial intelligence. The content covers a wide spectrum from educational, training, and research, covering from novices, junior/intermediate to advanced.  

The content has been designed both for self-learning, and for being incorporating into instructional material for universities, private coding schools, and professional training. Licensed as Apache 2.0 and CC-BY, organizations are free to integrate and customize the material into their curriculum.

The repository is organized by:

| Directory     | Description   |
| ------------- | ------------- |
| [`handbooks`](handbooks)   | Google (FREE) PDF softcopy of handbooks - CC-BY 4.0 license (2019) |
| [`books`](books)           | PDF softcopy of books - preview versions |
| [`workshops`](workshops)   | workshops (presentation slides and code labs) - CC-BY 4.0 license (2019) |
| [`notebooks`](notebooks)   | notebooks for production-grade solutions |
| [`zoo`](zoo)         | tf.keras model zoo (coded in idiomatic and composable design pattern) - Apache 2.0 license |
| [`community labs`](community-labs)| Labs for community participation in research |

## Reviewers and Contributors

We thank the following for their reviews and contributions to the Idiomatic Programmer:

*Google Cloud AI - Developer Relations*

[Andrew Ferlitsch](https://github.com/andrewferlitsch)<br/>
[Noah Negrey](https://www.linkedin.com/in/noah-negrey-bb0a395a)<br/>
[Yu-Han Liu](https://www.linkedin.com/in/yu-han-liu-7719281a)<br/>
[Shahin Saadati](https://www.linkedin.com/in/shahinsaadati)<br/>
[Torry Yang](https://www.linkedin.com/in/torryyang)<br/>
[Gonzalo Gasca Meza](https://www.linkedin.com/in/gogasca)<br/>
[Amy Unruh](https://www.linkedin.com/in/amyunruh)<br/>
[Martin Gorner](https://www.linkedin.com/in/martingorner)<br/>
[Brad Miro](https://www.linkedin.com/in/brad-miro)<br/>
[Tianzi Cai](https://www.linkedin.com/in/tianzi)<br/>
[Sara Robinson](https://www.linkedin.com/in/sara-robinson-40377924)<br/>
[Puneith Kaul](https://www.linkedin.com/in/puneith)<br/>
[Crystal Gomes](https://www.linkedin.com/in/crystalgomes)

*Other Current/Former Googlers*

William Barret<br/>
[Sharon Maher](https://www.linkedin.com/in/sharonmeetworld)

*Google Developer Experts (GDE)*

[Margaret Maynard-Reid / Seattle](https://github.com/margaretmz)

*ML Practioners*

[Hobson Lane](https://www.linkedin.com/in/hobsonlane)<br/>
[Enoch Tetteh](https://www.linkedin.com/in/enoch-tetteh-80450211a)<br/>
[Bill Liu](https://www.linkedin.com/in/billliu1202)<br/>
[Miklos Toth](https://www.linkedin.com/in/miklostoth/)

## Disclaimer

This is not an officially supported Google product.
